%bcond_without dotests

%define perl  %{_bindir}/perl_64
%define perl32  %{_bindir}/perl_32
%define perl64  %{_bindir}/perl_64
%define perl_version  %(eval "`%{perl} -V:version`" ; echo $version | sed "s|\.[0-9]*$||")

%define perl_vendorlib %(eval "`%{perl} -V:installvendorlib`"; echo $installvendorlib)


Name:           perl-Net-HTTP
Version:        6.19
Release:        1
Summary:        Low-level HTTP connection (client)
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Net-HTTP
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/Net-HTTP-%{version}.tar.gz
Source1000:     %{name}-%{version}-%{release}.build.log
BuildArch:      noarch

Provides:       perl(Net::HTTP)                  = %version
Provides:       perl(Net::HTTP::Methods)         = %version
Provides:       perl(Net::HTTP::NB)              = %version
Provides:       perl(Net::HTTPS)                 = %version

Requires:       perl(perl)                      >= 5.30
Requires:       perl(Carp)
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(IO::Socket::INET)
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(URI)
Requires:       perl(base)
Requires:       perl(strict)
Requires:       perl(vars)
Requires:       perl(warnings)

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make

BuildRequires:  perl(perl)                      >= 5.30
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(Socket)
BuildRequires:  perl(Test::More)

# To test
BuildRequires:  perl(Carp)
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(URI)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)


%description
The Net::HTTP class is a low-level HTTP client. An instance of the
Net::HTTP class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The Net::HTTP class supports HTTP/1.0
and HTTP/1.1.


%prep
%setup -q -n Net-HTTP-%{version}


%build
%perl Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1 verbose
gmake



%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} INSTALLVENDORMAN1DIR=%{_mandir}/man1 INSTALLVENDORMAN3DIR=%{_mandir}/man3

%{_fixperms} -c %{buildroot}


%check
%if %{with dotests}
  gmake test TEST_VERBOSE=1
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes CONTRIBUTORS README.md LICENSE
%{perl_vendorlib}/Net/*
%{_mandir}/man3/*


%changelog
* Fri Dec 06 2019 Etienne Guesnet <etienne.guesnet.external@atos.net> 6.19-1
- Port on AIX.
